      module Viorlh
C...Created by Pacific-Sierra Research VAST-90 2.06G2  12:29:44   5/18/01  
      use Vparam,only: nprofm,nions,nspectm,nspray,
     1                  nspect1,nwka,nthp00,nprofn
      character   versid*40
      integer   nmhd
      integer   icoll
      integer   nspec,mainsp
      integer   nprofs,nprof,iedge,ipropt
      integer   iout,iout1,iout2,nharm,nequil,isafa
      integer   nspect,nthin,maxref,igrill,islofa,irayio,ioread,nraypic
      integer   nequip,iprint,indvar,igraph,iplopr,jwfr
      integer,dimension(2,nions) :: iploxy
      integer,dimension(nspect1) :: nnkpar
      integer,dimension(nspectm) :: nnkpol
      real   dpsimhd
      real   fdia,powrq,denlav
      real   deykpr,psistep,pkexpnt
      real   omega,specfac,power,delthe,phase,rgrill,poldk
      real   denc,tempec,pavtne,pavtte,
     1 pavtti,pavpp,beta,betap,ali3
      real   gamene,alpene,gamte,alpte,gamti,
     1       alpti,denedg,temedg,tiedg
      real   wsol,fdened,fzefed,fteed,ftied,fcoll
      real   ffast,alpene1,alpte1,frcte,frcne,frcti,
     1  gamte1,gamti1,alpti1,gamene1,presfr
      real   epserr,epser1,epspfw,epspsw,epsray,rzero,rplasm,
     1   bzero,btsign,tcurr,fbsc,rshift,dtrian,qsaf0,qsafa
      real,dimension(10) :: aiseed
      real,dimension(2) :: polasp
      real,dimension(nprofm) :: psimhd,rmaj,rrho,triang,elong
      real,dimension(nions) :: atm,azi
      real,dimension(nprofm,nions) :: conc
      real,dimension(nions) :: tempic
      real,dimension(nprofm) :: ppsi,pjavg,pne,pte
      real,dimension(nprofm,nions) :: pni,pti
      real,dimension(nprofm) :: psinm,tani
      real,dimension(nspectm,nspray) :: anzin
      real,dimension(nspect1) :: anzsup,anzinf
      real,dimension(nspectm,nspray) :: anplin
      real,dimension(nspectm) :: anpsup,anpinf
      real,dimension(nspectm,nspray) :: pwcpl,pwtra
      real,dimension(nspect1) :: powers
      real,dimension(nspectm) :: thgril
      real,dimension(nprofm) :: pwe,pwe0
      real,dimension(nprofm,nions) :: pwi,pwii0
      real,dimension(0:nprofm) :: pwev
      real,dimension(0:nprofm,nions) :: pwiv
      real,dimension(nprofm,nwka) :: wkarea
      real,dimension(nprofm,3) :: pwal
      real,dimension(nions) :: tite
      end module Viorlh
